## v4l-utils 1.24.1

=== debian/changelog ===
v4l-utils (1.24.1-3) unstable; urgency=medium

  * cleanup doygen output (Closes: #1045591)

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 16 Aug 2023 08:55:21 +0200

v4l-utils (1.24.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Uwe Kleine-König ]
  * Update Homepage URL to the linuxtv wiki instead of a download directory

  [ Gregor Jasny ]
  * Apply lintian override to all architectures
  * Remove Loic from uploaders

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 14 Jun 2023 19:47:38 +0200

v4l-utils (1.24.1-1) experimental; urgency=medium

  * Import latest 1.24.1 upstream release

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 24 Feb 2023 18:17:47 +0100

v4l-utils (1.24.0-1) experimental; urgency=medium

  * Import latest 1.24.0 upstream release
  * Bumped standards to version 4.6.2 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 23 Feb 2023 10:08:28 +0100

=== debian/control ===
Source: v4l-utils
Section: video
Priority: optional
Maintainer: Gregor Jasny <gjasny@googlemail.com>
Build-Depends: debhelper-compat (= 13),
               clang:native [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe riscv64 ppc64 sparc64],
               doxygen,
               gettext,
               graphviz,
               libasound2-dev,
               libbpf-dev [linux-any],
               libelf-dev,
               libqt5opengl5-dev,
               libtool,
               libjpeg-dev,
               qtbase5-dev,
               libudev-dev [linux-any],
               libx11-dev,
               pkg-config,
               systemd [linux-any],
               udev [linux-any]
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/libv4l
Vcs-Git: https://salsa.debian.org/debian/libv4l.git
Homepage: https://linuxtv.org/wiki/index.php/V4l-utils

Package: libv4l-0
Section: libs
Architecture: linux-any kfreebsd-any
Depends: libv4lconvert0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Collection of video4linux support libraries
 libv4l is a collection of libraries which adds a thin abstraction layer on
 top of video4linux2 devices. The purpose of this (thin) layer is to make it
 easy for application writers to support a wide variety of devices without
 having to write separate code for different devices in the same class. libv4l
 consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
 .
 libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
 of the drivers for those devices supporting v4l1 compatibility (which many
 v4l2 drivers do not).
 .
 libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
 application transparent libv4lconvert conversion where necessary.
 .
 This package contains the shared libraries.

Package: libv4lconvert0
Section: libs
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Video4linux frame format conversion library
 libv4lconvert offers functions to convert from any (known) pixelformat
 to BGR24, RGB24, YUV420 and YVU420.
 .
 This package contains the shared library.

Package: libv4l2rds0
Section: libs
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Video4Linux Radio Data System (RDS) decoding library
 This library decodes a RDS stream obtained from a Video4Linux (V4L)
 version 2 device. It supports both: the US based RBDS and European RDS
 protocol.
 .
 This package contains the shared library.

Package: libv4l-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Depends: libv4l-0 (= ${binary:Version}),
         libv4lconvert0 (= ${binary:Version}),
         libv4l2rds0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: pkg-config
Multi-Arch: same
Description: Collection of video4linux support libraries (development files)
 libv4l is a collection of libraries which adds a thin abstraction layer on
 top of video4linux2 devices. The purpose of this (thin) layer is to make it
 easy for application writers to support a wide variety of devices without
 having to write separate code for different devices in the same class. libv4l
 consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
 .
 libv4lconvert offers functions to convert from any (known) pixelformat
 to BGR24, RGB24, YUV420 and YVU420.
 .
 libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
 of the drivers for those devices supporting v4l1 compatibility (which many
 v4l2 drivers do not).
 .
 libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
 application transparent libv4lconvert conversion where necessary.
 .
 This package contains the development files.

Package: v4l-utils
Section: utils
Architecture: linux-any
Depends: libv4l-0 (= ${binary:Version}),
         libv4l2rds0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: ivtv-utils (<< 1.4.1-2), media-ctl
Breaks: ivtv-utils (<< 1.4.1-2), media-ctl
Description: Collection of command line video4linux utilities
 v4l-utils contains the following video4linux command line utilities:
 .
  decode_tm6000: decodes tm6000 proprietary format streams
  rds-ctl: tool to receive and decode Radio Data System (RDS) streams
  v4l2-compliance: tool to test v4l2 API compliance of drivers
  v4l2-ctl, cx18-ctl, ivtv-ctl: tools to control v4l2 controls from the cmdline
  v4l2-dbg: tool to directly get and set registers of v4l2 devices
  v4l2-sysfs-path: sysfs helper tool

Package: libdvbv5-0
Section: libs
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Libraries to control, scan and zap on Digital TV channels
 This library provides functions to work with DVB devices that
 implement the DVB v5 API.
 .
 This package contains the shared libraries.

Package: libdvbv5-dev
Section: libdevel
Architecture: linux-any
Depends: libdvbv5-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: pkg-config, libdvbv5-doc
Multi-Arch: same
Description: Development files for libdvbv5
 This library provides functions to work with DVB devices that
 implement the DVB v5 API.
 .
 This package contains the development files.

Package: libdvbv5-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Multi-Arch: foreign
Description: Doxygen generated documentation for libdvbv5
 This library provides functions to work with DVB devices that
 implement the DVB v5 API.
 .
 This package provides doxygen generated documentation for the library.

Package: dvb-tools
Section: utils
Architecture: linux-any
Depends: libdvbv5-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Collection of command line DVB utilities
 This is a series of tools written to help testing and working with DVB,
 using its latest V5 API. The tools can also work with the DVBv3 API.
 .
 The current tools are:
 .
 dvb-fe-tool: a simple test application, that reads from the frontend.
 it also allows one to change the default delivery system.
 In the future, it may be used to change any property via command line.
 .
 dvb-format-convert: converts from zap and scan initial-tuning-data-file
 into the new format defined to work with DVBv5.
 .
 dvbv5-scan: a DVBv5 scan tool.
 .
 dvbv5-zap: a DVBv5 zap tool. It allows one to tune into a DVB channel,
 and to watch to a DVB service (e. g. receiving the video and audio
 streams, via another application using the dvr device).

Package: qv4l2
Section: utils
Architecture: linux-any
Depends: libv4l-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Test bench application for video4linux devices
 Qt v4l2 control panel application. You can change all through the v4l2
 interface exposed device controls.

Package: qvidcap
Section: utils
Architecture: linux-any
Depends: libv4l-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Capture test utility for video4linux devices
 The qvidcap tool is used to test video4linux capture devices,
 either using a video device, a file, or over network.
 This application can also serve as a generic video/TV viewer application.

Package: ir-keytable
Section: utils
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: udev
Description: Alter keymaps of Remote Controller devices
 This package allows one to change the keymap of controller receivers.
 Those receivers are found as infrared receivers on DVB sticks or on
 framegrabber cards. Via ir-keytable the mapping from a scancode to
 the generated event can be customized and made persistent.

## v4l-utils 1.26.1

=== meson_options.txt ===
# Features
option('bpf', type : 'feature', value : 'auto',
       description : 'Enable IR BPF decoders')
option('gconv', type : 'feature', value : 'auto',
       description : 'Enable compilation of gconv modules')
option('jpeg', type : 'feature', value : 'auto')
option('libdvbv5', type : 'feature', value : 'auto',
       description : 'Enable libdvbv5 compilation')
option('qv4l2', type : 'feature', value : 'auto',
       description : 'Enable qv4l2 compilation')
option('qvidcap', type : 'feature', value : 'auto',
       description : 'Enable qvidcap compilation')
option('v4l2-tracer', type : 'feature', value : 'auto',
       description : 'Enable v4l2-tracer compilation')

# Options
option('v4l-plugins', type : 'boolean',
       description : 'V4L plugin support')
option('v4l-utils', type : 'boolean',
       description : 'Enable v4l-utils compilation')
option('v4l-wrappers', type : 'boolean',
       description : 'V4L wrappers support')
option('v4l2-compliance-32', type : 'boolean', value : false,
       description : 'Enable v4l2-compliance-32 compilation (for debugging purposes only)')
option('v4l2-compliance-libv4l', type : 'boolean',
       description : 'Enable use of libv4l in v4l2-compliance')
option('v4l2-ctl-32', type : 'boolean', value : false,
       description : 'Enable v4l2-ctl-32 compilation (for debugging purposes only)')
option('v4l2-ctl-libv4l', type : 'boolean',
       description : 'Enable use of libv4l in v4l2-ctl')
option('v4l2-ctl-stream-to', type : 'boolean',
       description : 'Enable use of --stream-to in v4l2-ctl')

# Directories
option('gconvsysdir', type : 'string',
       description : 'Set system gconv directory (default is to autodetect)')
option('libv4l1subdir', type : 'string', value : 'libv4l',
       description : 'Set libv4l1 library subdir')
option('libv4l2subdir', type : 'string', value : 'libv4l',
       description : 'Set libv4l2 library subdir')
option('libv4lconvertsubdir', type : 'string', value : 'libv4l',
       description : 'Set libv4lconvert library subdir')
option('systemdsystemunitdir', type : 'string',
       description : 'Set systemd system unit directory')
option('udevdir', type : 'string',
       description : 'Set udev directory')

# Doxygen options
option('doxygen-doc', type : 'feature', value : 'auto',
       description : 'Generate doxygen project documentation')
option('doxygen-html', type : 'boolean',
       description : 'Generate doxygen plain HTML documentation')
option('doxygen-man', type : 'boolean', value : false,
       description : 'Generate doxygen manual pages')

=== debian/changelog ===
v4l-utils (1.26.1-4build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:24:04 +0000

v4l-utils (1.26.1-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:31:26 +0000

v4l-utils (1.26.1-4build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:25:29 +0000

v4l-utils (1.26.1-4) unstable; urgency=medium

  * Avoid invalid file and time bits combination (Closes: #1065153)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 01 Mar 2024 17:52:19 +0100

v4l-utils (1.26.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063041

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 21:46:51 +0000

v4l-utils (1.26.1-3) unstable; urgency=medium

  * Only depend on udev-dev and systemd-dev (Closes: #1060622)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 12 Jan 2024 19:22:33 +0100

v4l-utils (1.26.1-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Lookup udev install directory from udev.pc (Closes: #1057247)

  [ Jeremy Sowden ]
  * d/control: add missing dependencies to -dev packages (Closes: #1058284)

  [ Gregor Jasny ]
  * Import latest 1.26.1 upstream release (Closes: #1014887)

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 12 Dec 2023 23:06:08 +0100

v4l-utils (1.26.0-1) unstable; urgency=low

  * Import latest 1.26.0 upstream release

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 25 Nov 2023 15:20:50 +0100

v4l-utils (1.24.1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes: #1052761)

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 08 Oct 2023 15:04:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: v4l-utils
 Section: video
 Priority: optional
-Maintainer: Gregor Jasny <gjasny@googlemail.com>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gregor Jasny <gjasny@googlemail.com>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                clang:native [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe riscv64 ppc64 sparc64],
                doxygen,
                gettext,
@@ -13,21 +14,25 @@
                libqt5opengl5-dev,
                libtool,
                libjpeg-dev,
+               meson,
+               ninja-build,
                qtbase5-dev,
                libudev-dev [linux-any],
                libx11-dev,
-               pkg-config,
-               systemd [linux-any],
-               udev [linux-any]
+               pkgconf,
+               systemd-dev [linux-any]
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/libv4l
 Vcs-Git: https://salsa.debian.org/debian/libv4l.git
 Homepage: https://linuxtv.org/wiki/index.php/V4l-utils
 
-Package: libv4l-0
-Section: libs
-Architecture: linux-any kfreebsd-any
-Depends: libv4lconvert0 (= ${binary:Version}),
+Package: libv4l-0t64
+Provides: ${t64:Provides}
+Replaces: libv4l-0
+Breaks: libv4l-0 (<< ${source:Version})
+Section: libs
+Architecture: linux-any kfreebsd-any
+Depends: libv4lconvert0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -48,7 +53,10 @@
  .
  This package contains the shared libraries.
 
-Package: libv4lconvert0
+Package: libv4lconvert0t64
+Provides: ${t64:Provides}
+Replaces: libv4lconvert0
+Breaks: libv4lconvert0 (<< ${source:Version})
 Section: libs
 Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends},
@@ -61,7 +69,10 @@
  .
  This package contains the shared library.
 
-Package: libv4l2rds0
+Package: libv4l2rds0t64
+Provides: ${t64:Provides}
+Replaces: libv4l2rds0
+Breaks: libv4l2rds0 (<< ${source:Version})
 Section: libs
 Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends},
@@ -78,12 +89,13 @@
 Package: libv4l-dev
 Section: libdevel
 Architecture: linux-any kfreebsd-any
-Depends: libv4l-0 (= ${binary:Version}),
-         libv4lconvert0 (= ${binary:Version}),
-         libv4l2rds0 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
-Suggests: pkg-config
+Depends: libv4l-0t64 (= ${binary:Version}),
+         libv4lconvert0t64 (= ${binary:Version}),
+         libv4l2rds0t64 (= ${binary:Version}),
+         libjpeg-dev,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: pkgconf
 Multi-Arch: same
 Description: Collection of video4linux support libraries (development files)
  libv4l is a collection of libraries which adds a thin abstraction layer on
@@ -107,8 +119,8 @@
 Package: v4l-utils
 Section: utils
 Architecture: linux-any
-Depends: libv4l-0 (= ${binary:Version}),
-         libv4l2rds0 (= ${binary:Version}),
+Depends: libv4l-0t64 (= ${binary:Version}),
+         libv4l2rds0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Replaces: ivtv-utils (<< 1.4.1-2), media-ctl
@@ -123,7 +135,10 @@
   v4l2-dbg: tool to directly get and set registers of v4l2 devices
   v4l2-sysfs-path: sysfs helper tool
 
-Package: libdvbv5-0
+Package: libdvbv5-0t64
+Provides: ${t64:Provides}
+Replaces: libdvbv5-0
+Breaks: libdvbv5-0 (<< ${source:Version})
 Section: libs
 Architecture: linux-any
 Depends: ${shlibs:Depends},
@@ -139,10 +154,11 @@
 Package: libdvbv5-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libdvbv5-0 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
-Suggests: pkg-config, libdvbv5-doc
+Depends: libdvbv5-0t64 (= ${binary:Version}),
+         libudev-dev,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: pkgconf, libdvbv5-doc
 Multi-Arch: same
 Description: Development files for libdvbv5
  This library provides functions to work with DVB devices that
@@ -165,7 +181,7 @@
 Package: dvb-tools
 Section: utils
 Architecture: linux-any
-Depends: libdvbv5-0 (= ${binary:Version}),
+Depends: libdvbv5-0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Collection of command line DVB utilities
@@ -190,7 +206,7 @@
 Package: qv4l2
 Section: utils
 Architecture: linux-any
-Depends: libv4l-0 (= ${binary:Version}),
+Depends: libv4l-0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Test bench application for video4linux devices
@@ -200,7 +216,7 @@
 Package: qvidcap
 Section: utils
 Architecture: linux-any
-Depends: libv4l-0 (= ${binary:Version}),
+Depends: libv4l-0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Capture test utility for video4linux devices

## v4l-utils 1.28.1

=== meson_options.txt ===
--- 
+++ 
@@ -32,6 +32,8 @@
        description : 'Enable use of --stream-to in v4l2-ctl')
 
 # Directories
+option('docdir', type : 'string',
+       description : 'Set documentation directory')
 option('gconvsysdir', type : 'string',
        description : 'Set system gconv directory (default is to autodetect)')
 option('libv4l1subdir', type : 'string', value : 'libv4l',

=== debian/changelog ===
v4l-utils (1.28.1-1) unstable; urgency=medium

  * Import latest 1.28.1 upstream release

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 25 Jul 2024 09:07:12 +0200

v4l-utils (1.28.0-1) unstable; urgency=medium

  * Import latest 1.28.0 upstream release

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 19 Jul 2024 22:05:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: v4l-utils
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gregor Jasny <gjasny@googlemail.com>
+Maintainer: Gregor Jasny <gjasny@googlemail.com>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                clang:native [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe riscv64 ppc64 sparc64],
                doxygen,
@@ -21,7 +20,7 @@
                libx11-dev,
                pkgconf,
                systemd-dev [linux-any]
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/libv4l
 Vcs-Git: https://salsa.debian.org/debian/libv4l.git
 Homepage: https://linuxtv.org/wiki/index.php/V4l-utils

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export QT_SELECT=qt5
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

CONFIGURE_FLAGS += -Ddefault_library=both
CONFIGURE_FLAGS += -Ddoxygen-html=true
CONFIGURE_FLAGS += -Dgconv=disabled
CONFIGURE_FLAGS += -Dv4l2-compliance-32=false
CONFIGURE_FLAGS += -Dv4l2-ctl-32=false
CONFIGURE_FLAGS += -Dv4l2-tracer=disabled

# see https://salsa.debian.org/qt-kde-team/qt/qtbase/-/blob/master/debian/rules#L33
gles2_architectures := armel armhf
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
CONFIGURE_FLAGS += -Dqvidcap=disabled
BUILD_PACKAGES = -Nqvidcap
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)
endif

%:
	dh $@ --buildsystem=meson+ninja $(BUILD_PACKAGES)

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/ir-keytable.install.$(DEB_HOST_ARCH)

override_dh_auto_configure:
	dh_auto_configure -- -Dlibv4lconvertsubdir=libv4lconvert0 $(CONFIGURE_FLAGS)

override_dh_install:
	# Remove useless autogenreated doxygen files
	rm -f usr/share/doc/v4l-utils/html/*.md5

ifeq ($(DEB_HOST_ARCH_OS),linux)
	# this file is only conditionally created (clang availablility, enabled systemd filters)
	cp -f debian/ir-keytable.install debian/ir-keytable.install.$(DEB_HOST_ARCH)
	test ! -f debian/tmp/$(deb_systemdsystemunitdir)/systemd-udevd.service.d/50-rc_keymap.conf || echo $(deb_systemdsystemunitdir)/systemd-udevd.service.d/50-rc_keymap.conf >> debian/ir-keytable.install.$(DEB_HOST_ARCH)
	echo $(deb_udevdir) >> debian/ir-keytable.install.$(DEB_HOST_ARCH)
endif

	dh_install

override_dh_installchangelogs:
	dh_installchangelogs -Nlibv4l-dev -Nv4l-utils -Nqv4l2 ChangeLog

override_dh_installdocs:
	dh_installdocs -Nlibv4l-dev -Nv4l-utils -Nqv4l2

override_dh_makeshlibs:
	dh_makeshlibs -Xv4l1compat -Xv4l2convert -Xlibv4l-mplane -Xrc_keymaps/protocols

override_dh_shlibdeps:
	dh_shlibdeps -Xrc_keymaps/protocols

## v4l-utils 1.30.1

=== meson_options.txt ===
--- 
+++ 
@@ -22,10 +22,14 @@
        description : 'V4L wrappers support')
 option('v4l2-compliance-32', type : 'boolean', value : false,
        description : 'Enable v4l2-compliance-32 compilation (for debugging purposes only)')
+option('v4l2-compliance-32-time64', type : 'boolean', value : false,
+       description : 'Enable v4l2-compliance-32-time64 compilation (for debugging purposes only)')
 option('v4l2-compliance-libv4l', type : 'boolean',
        description : 'Enable use of libv4l in v4l2-compliance')
 option('v4l2-ctl-32', type : 'boolean', value : false,
        description : 'Enable v4l2-ctl-32 compilation (for debugging purposes only)')
+option('v4l2-ctl-32-time64', type : 'boolean', value : false,
+       description : 'Enable v4l2-ctl-32-time64 compilation (for debugging purposes only)')
 option('v4l2-ctl-libv4l', type : 'boolean',
        description : 'Enable use of libv4l in v4l2-ctl')
 option('v4l2-ctl-stream-to', type : 'boolean',

=== debian/changelog ===
v4l-utils (1.30.1-1deepin1) unstable; urgency=medium

  * Revert 64-bit time_t transition changes.
  * memset v4l2_buffer to zero

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 24 Sep 2025 09:45:31 +0800

v4l-utils (1.30.1-1) unstable; urgency=medium

  * Import latest 1.30.1 upstream release

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 01 May 2025 14:22:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Gregor Jasny <gjasny@googlemail.com>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                clang:native [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe riscv64 ppc64 sparc64],
                doxygen,
                gettext,
@@ -20,18 +20,15 @@
                libx11-dev,
                pkgconf,
                systemd-dev [linux-any]
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/libv4l
 Vcs-Git: https://salsa.debian.org/debian/libv4l.git
 Homepage: https://linuxtv.org/wiki/index.php/V4l-utils
 
-Package: libv4l-0t64
-Provides: ${t64:Provides}
-Replaces: libv4l-0
-Breaks: libv4l-0 (<< ${source:Version})
-Section: libs
-Architecture: linux-any kfreebsd-any
-Depends: libv4lconvert0t64 (= ${binary:Version}),
+Package: libv4l-0
+Section: libs
+Architecture: linux-any kfreebsd-any
+Depends: libv4lconvert0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -52,10 +49,7 @@
  .
  This package contains the shared libraries.
 
-Package: libv4lconvert0t64
-Provides: ${t64:Provides}
-Replaces: libv4lconvert0
-Breaks: libv4lconvert0 (<< ${source:Version})
+Package: libv4lconvert0
 Section: libs
 Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends},
@@ -68,10 +62,7 @@
  .
  This package contains the shared library.
 
-Package: libv4l2rds0t64
-Provides: ${t64:Provides}
-Replaces: libv4l2rds0
-Breaks: libv4l2rds0 (<< ${source:Version})
+Package: libv4l2rds0
 Section: libs
 Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends},
@@ -88,9 +79,9 @@
 Package: libv4l-dev
 Section: libdevel
 Architecture: linux-any kfreebsd-any
-Depends: libv4l-0t64 (= ${binary:Version}),
-         libv4lconvert0t64 (= ${binary:Version}),
-         libv4l2rds0t64 (= ${binary:Version}),
+Depends: libv4l-0 (= ${binary:Version}),
+         libv4lconvert0 (= ${binary:Version}),
+         libv4l2rds0 (= ${binary:Version}),
          libjpeg-dev,
          ${shlibs:Depends},
          ${misc:Depends}
@@ -118,8 +109,8 @@
 Package: v4l-utils
 Section: utils
 Architecture: linux-any
-Depends: libv4l-0t64 (= ${binary:Version}),
-         libv4l2rds0t64 (= ${binary:Version}),
+Depends: libv4l-0 (= ${binary:Version}),
+         libv4l2rds0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Replaces: ivtv-utils (<< 1.4.1-2), media-ctl
@@ -134,10 +125,7 @@
   v4l2-dbg: tool to directly get and set registers of v4l2 devices
   v4l2-sysfs-path: sysfs helper tool
 
-Package: libdvbv5-0t64
-Provides: ${t64:Provides}
-Replaces: libdvbv5-0
-Breaks: libdvbv5-0 (<< ${source:Version})
+Package: libdvbv5-0
 Section: libs
 Architecture: linux-any
 Depends: ${shlibs:Depends},
@@ -153,7 +141,7 @@
 Package: libdvbv5-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libdvbv5-0t64 (= ${binary:Version}),
+Depends: libdvbv5-0 (= ${binary:Version}),
          libudev-dev,
          ${shlibs:Depends},
          ${misc:Depends}
@@ -180,7 +168,7 @@
 Package: dvb-tools
 Section: utils
 Architecture: linux-any
-Depends: libdvbv5-0t64 (= ${binary:Version}),
+Depends: libdvbv5-0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Collection of command line DVB utilities
@@ -205,7 +193,7 @@
 Package: qv4l2
 Section: utils
 Architecture: linux-any
-Depends: libv4l-0t64 (= ${binary:Version}),
+Depends: libv4l-0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Test bench application for video4linux devices
@@ -215,7 +203,7 @@
 Package: qvidcap
 Section: utils
 Architecture: linux-any
-Depends: libv4l-0t64 (= ${binary:Version}),
+Depends: libv4l-0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Capture test utility for video4linux devices

## v4l-utils 1.32.0

=== meson_options.txt ===
--- 
+++ 
@@ -46,6 +46,8 @@
        description : 'Set libv4l2 library subdir')
 option('libv4lconvertsubdir', type : 'string', value : 'libv4l',
        description : 'Set libv4lconvert library subdir')
+option('libv4l2tracersubdir', type : 'string', value : 'libv4l',
+       description : 'Set libv4l2tracer library subdir')
 option('systemdsystemunitdir', type : 'string',
        description : 'Set systemd system unit directory')
 option('udevdir', type : 'string',

=== debian/changelog ===
v4l-utils (1.32.0-2) unstable; urgency=low

  * Switch to Qt 6 (Closes: #1113706)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 10 Oct 2025 09:56:41 +0200

v4l-utils (1.32.0-1) unstable; urgency=medium

  [ Gregor Jasny ]
  * Import latest 1.32.0 upstream release

  [ Diederik de Haas ]
  * Add missing v4l-utils tools descriptions (Closes: #1095303)

  [ Jianfeng Liu ]
  * Enable build of v4l2-tracer (Closes: #1093152)

  [ Sean Young ]
  * Move ir-ctl from v4l-utils to ir-keytable package

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 05 Oct 2025 12:24:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Gregor Jasny <gjasny@googlemail.com>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                clang:native [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe riscv64 ppc64 sparc64],
                doxygen,
                gettext,
@@ -10,12 +10,14 @@
                libasound2-dev,
                libbpf-dev [linux-any],
                libelf-dev,
-               libqt5opengl5-dev,
+               libjson-c-dev,
+               libqt6core5compat6-dev,
+               libqt6opengl6-dev,
                libtool,
                libjpeg-dev,
                meson,
                ninja-build,
-               qtbase5-dev,
+               qt6-base-dev,
                libudev-dev [linux-any],
                libx11-dev,
                pkgconf,
@@ -25,10 +27,13 @@
 Vcs-Git: https://salsa.debian.org/debian/libv4l.git
 Homepage: https://linuxtv.org/wiki/index.php/V4l-utils
 
-Package: libv4l-0
-Section: libs
-Architecture: linux-any kfreebsd-any
-Depends: libv4lconvert0 (= ${binary:Version}),
+Package: libv4l-0t64
+Provides: ${t64:Provides}
+Replaces: libv4l-0
+Breaks: libv4l-0 (<< ${source:Version})
+Section: libs
+Architecture: linux-any kfreebsd-any
+Depends: libv4lconvert0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -49,7 +54,10 @@
  .
  This package contains the shared libraries.
 
-Package: libv4lconvert0
+Package: libv4lconvert0t64
+Provides: ${t64:Provides}
+Replaces: libv4lconvert0
+Breaks: libv4lconvert0 (<< ${source:Version})
 Section: libs
 Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends},
@@ -62,7 +70,10 @@
  .
  This package contains the shared library.
 
-Package: libv4l2rds0
+Package: libv4l2rds0t64
+Provides: ${t64:Provides}
+Replaces: libv4l2rds0
+Breaks: libv4l2rds0 (<< ${source:Version})
 Section: libs
 Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends},
@@ -79,9 +90,9 @@
 Package: libv4l-dev
 Section: libdevel
 Architecture: linux-any kfreebsd-any
-Depends: libv4l-0 (= ${binary:Version}),
-         libv4lconvert0 (= ${binary:Version}),
-         libv4l2rds0 (= ${binary:Version}),
+Depends: libv4l-0t64 (= ${binary:Version}),
+         libv4lconvert0t64 (= ${binary:Version}),
+         libv4l2rds0t64 (= ${binary:Version}),
          libjpeg-dev,
          ${shlibs:Depends},
          ${misc:Depends}
@@ -109,8 +120,8 @@
 Package: v4l-utils
 Section: utils
 Architecture: linux-any
-Depends: libv4l-0 (= ${binary:Version}),
-         libv4l2rds0 (= ${binary:Version}),
+Depends: libv4l-0t64 (= ${binary:Version}),
+         libv4l2rds0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Replaces: ivtv-utils (<< 1.4.1-2), media-ctl
@@ -118,14 +129,22 @@
 Description: Collection of command line video4linux utilities
  v4l-utils contains the following video4linux command line utilities:
  .
+  cec-compliance: tool to test CEC API compliance of drivers
+  cec-ctl: tool to control CEC device from the command line
+  cec-follower: tool to setup a CEC follower for a CEC device
   decode_tm6000: decodes tm6000 proprietary format streams
+  media-ctl: show and configure the topology of media devices
   rds-ctl: tool to receive and decode Radio Data System (RDS) streams
   v4l2-compliance: tool to test v4l2 API compliance of drivers
   v4l2-ctl, cx18-ctl, ivtv-ctl: tools to control v4l2 controls from the cmdline
   v4l2-dbg: tool to directly get and set registers of v4l2 devices
   v4l2-sysfs-path: sysfs helper tool
-
-Package: libdvbv5-0
+  v4l2-tracer: application to trace and replay stateless video decoding
+
+Package: libdvbv5-0t64
+Provides: ${t64:Provides}
+Replaces: libdvbv5-0
+Breaks: libdvbv5-0 (<< ${source:Version})
 Section: libs
 Architecture: linux-any
 Depends: ${shlibs:Depends},
@@ -141,7 +160,7 @@
 Package: libdvbv5-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libdvbv5-0 (= ${binary:Version}),
+Depends: libdvbv5-0t64 (= ${binary:Version}),
          libudev-dev,
          ${shlibs:Depends},
          ${misc:Depends}
@@ -168,7 +187,7 @@
 Package: dvb-tools
 Section: utils
 Architecture: linux-any
-Depends: libdvbv5-0 (= ${binary:Version}),
+Depends: libdvbv5-0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Collection of command line DVB utilities
@@ -193,7 +212,7 @@
 Package: qv4l2
 Section: utils
 Architecture: linux-any
-Depends: libv4l-0 (= ${binary:Version}),
+Depends: libv4l-0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Test bench application for video4linux devices
@@ -203,7 +222,7 @@
 Package: qvidcap
 Section: utils
 Architecture: linux-any
-Depends: libv4l-0 (= ${binary:Version}),
+Depends: libv4l-0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Capture test utility for video4linux devices
@@ -216,9 +235,15 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Breaks: v4l-utils (<< 1.32.0)
+Replaces: v4l-utils (<< 1.32.0)
 Recommends: udev
 Description: Alter keymaps of Remote Controller devices
  This package allows one to change the keymap of controller receivers.
  Those receivers are found as infrared receivers on DVB sticks or on
  framegrabber cards. Via ir-keytable the mapping from a scancode to
- the generated event can be customized and made persistent.
+ the generated event can be customized and made persistent. It
+ contains the following command line utilities:
+ .
+  ir-ctl: a swiss-knife tool to handle raw IR and to set lirc options
+  ir-keytable: a swiss-knife tool to handle Remote Controllers

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 CONFIGURE_FLAGS += -Dgconv=disabled
 CONFIGURE_FLAGS += -Dv4l2-compliance-32=false
 CONFIGURE_FLAGS += -Dv4l2-ctl-32=false
-CONFIGURE_FLAGS += -Dv4l2-tracer=disabled
 
 # see https://salsa.debian.org/qt-kde-team/qt/qtbase/-/blob/master/debian/rules#L33
 gles2_architectures := armel armhf
